$(function() {
	//** jCarousel for hosting banners
	$('.b-posters').jCarouselLite({
		circular: false,
		pagination: true
	});

	var timeout = setTimeout(scroll_carousel, 5000);

	function scroll_carousel() {
		if ($('.carousel_paginator a:last-child').hasClass('current')) {
			$('.carousel_paginator a:first-child').click();
		} else {
			$('.carousel_paginator a.current').next().click();
		}
	}

	$('.carousel_paginator a').click(function() {
		clearTimeout(timeout);

		timeout = setTimeout(scroll_carousel, 5000);
	});
});
